// See http://kb.mozillazine.org/Localize_extension_descriptions
pref("extensions.thumbsdown@mozdev.org.description", "chrome://thumbsdown/locale/thumbsdown.properties");
// version of this extension
pref("extensions.thumbsdown.version", "0");
// download dir
pref("extensions.thumbsdown.downloadDir", "");
// show in Tools menu
pref("extensions.thumbsdown.showInToolsMenu", true);
// show in context menu
pref("extensions.thumbsdown.showInContextMenu", false);
// show only thumbsdown context menu when thumbsdown is activated
pref("extensions.thumbsdown.hijackContextMenu", true);
// show in status bar (when inactive)
pref("extensions.thumbsdown.showInStatusBar", true);
// show image element id in element properties (properties in context menu)
pref("extensions.thumbsdown.showImageIdInProperties", true);

/* shortcut keys */

pref("extensions.thumbsdown.keys.toggleStatus.modifiers", "alt");
pref("extensions.thumbsdown.keys.toggleStatus.key",       "1");
pref("extensions.thumbsdown.keys.toggleStatus.keycode",   "");

pref("extensions.thumbsdown.keys.activateAndSelectAll.modifiers", "alt");
pref("extensions.thumbsdown.keys.activateAndSelectAll.key",       "2");
pref("extensions.thumbsdown.keys.activateAndSelectAll.keycode",   "");

pref("extensions.thumbsdown.keys.download.modifiers", "alt");
pref("extensions.thumbsdown.keys.download.key",       "3");
pref("extensions.thumbsdown.keys.download.keycode",   "");

/* Script Runner */

// Open Script Runner when a new script is added
pref("extensions.thumbsdown.scriptrunner.open", true);
// Focus on Script Runner when a new script is added
pref("extensions.thumbsdown.scriptrunner.focus", false);
// Script Runner window title prefix template
pref("extensions.thumbsdown.scriptrunner.titlePrefix", "${success}:${fail}/${total} - ");
// Update Script Runner UI every Nth millisecond (non-positive disables update)
pref("extensions.thumbsdown.scriptrunner.updateDelay", 1000);
// Script Runner HTTP request timeout
pref("extensions.thumbsdown.scriptrunner.requestTimeout", 60);

/* Download Manager Service */

// download manager - DownThemAll! - rename mask
pref("extensions.thumbsdown.dm.dta.renameMask", "*name*.*ext*");
